Subject: [MMUSIC] Case the <transport> parameter in SDP

From: "Rajesh Kumar" <[email-masked]>
Date: Wed, 4 Sep 2002 18:10:27 -0700

It seems that, per the definition in RFC 2327 and
draft-ietf-mmusic-sdp-new-10.txt  the value of the transport parameter in
the 'm' line is case-sensitive. This may also be inferred from the IANA
registry of its 'proto' values which shows the following, in different
cases:

proto           RTP/AVP                      [RFC2327]
                  vat                          [historic]
                  rtp                          [historic]
                  UDPTL                        [ITU-T Rec. T.38 (Section 9)]
                  TCP                          [RFC793]

However, ITU T.38 seems to use this parameter in a case-insensitive manner.
For example,

m=image 49170 udptl t38

So is the case of the <transport> parameter really insignificant? If so,
then this should be called out in draft-ietf-mmusic-sdp-new-10.txt (both in
the words and the ABNF). This draft/RFC 2327  indicate case sensitivity as
the general rule, unless explicitly indicated.

I note that Steve Casner has indicated case-insensitivity in the RTP mime
registrations.

Comments? Guidance?
--------------
Rajesh Kumar
Cisco Systems

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 6 Sep 2002 14:30:53 -0400

You have mistaken the case sensitivity of the ABNF description
from the case sensitivity of the resulting grammar, and
you have misinterpreted ABNF rules, at least as defined in RFC2234.
It's actually hard to get a case sensitive grammar out of
ABNF.

Quoting from RFC2234:
   The name of a rule is simply the name itself; that is, a sequence of
   characters, beginning with  an alphabetic character, and followed by
   a combination of alphabetics, digits and hyphens (dashes).

        NOTE:     Rule names are case-insensitive
and:
   Literal text strings are interpreted as a concatenated set of
   printable characters.

        NOTE:     ABNF strings are case-insensitive and
                  the character set for these strings is us-ascii.

Some grammars actually use case-insensitive ABNF, and then
say in the text that something is case sensitive.  That is not
RFC2234 compliant, but it's been done.

Unless you see something of the form:
	rule = 'r' 'u' 'l' 'e' ; Note this is a case sensitive string "rule"
A 2234 conformant grammar will be case insensitive:
	rule = "rule"; Note this is a case insensitive string "rule"

Brian

> -----Original Message-----
> From: Thomas Zeng [mailto:[email-masked]]
> Sent: Friday, September 06, 2002 1:57 PM
> To: [email-masked]'; [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: RE: [MMUSIC] Case the <transport> parameter in SDP
> 
> 
> Rajesh:
> 
> RFC 2327 and draft-ietf-mmusic-sdp-new-10.txt both use 
> Augmented BNF (ABNF)
> for grammar 
> definitions. ABNF is case insensitive.
> 
> Therefore I belive in "m=" line the "proto" token is case insensitive.
> 
> Cheers,
> Thomas
> PacketVideo Corp.
> www.pv.com
> [email-masked]
> 858 731 5465
> 
> -----Original Message-----
> From: Rajesh Kumar [mailto:[email-masked]]
> Sent: Wednesday, September 04, 2002 6:10 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: [MMUSIC] Case the <transport> parameter in SDP
> 
> 
> then this should be called out in 
> draft-ietf-mmusic-sdp-new-10.txt (both in

---

From: Thomas Zeng <[email-masked]>
Date: Tue, 10 Sep 2002 17:25:49 -0700

Rajesh:

I am not so sure now... 

Our implementation is case sensitive on the proto token in the m= line. We
have gone through inter-op with many
companies with this assumption.

Does anyone implement "RTP/AVP" using lower case?

thomas

-----Original Message-----
From: Rajesh Kumar [mailto:[email-masked]]
Sent: Friday, September 06, 2002 11:06 AM
To: Thomas Zeng; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: [MMUSIC] Case the <transport> parameter in SDP

Thomas:
Does that apply to the values of all SDP fields? I know that the SDP
keywords are case-sensitive. The document says that case considerations for
individual fields need to be explicit for that field, otherwise it is case
sensitive.

Thanks,

Rajesh

 | -----Original Message-----
 | From: [email-masked] [mailto:[email-masked]]On Behalf Of
 | Thomas Zeng
 | Sent: Friday, September 06, 2002 10:57 AM
 | To: [email-masked]'; [email-masked]
 | Cc: [email-masked]; [email-masked]
 | Subject: RE: [MMUSIC] Case the <transport> parameter in SDP
 |
 |
 | Rajesh:
 |
 | RFC 2327 and draft-ietf-mmusic-sdp-new-10.txt both use Augmented
 | BNF (ABNF)
 | for grammar
 | definitions. ABNF is case insensitive.
 |
 | Therefore I belive in "m=" line the "proto" token is case insensitive.
 |
 | Cheers,
 | Thomas
 | PacketVideo Corp.
 | www.pv.com
 | [email-masked]
 | 858 731 5465
 |
 | -----Original Message-----
 | From: Rajesh Kumar [mailto:[email-masked]]
 | Sent: Wednesday, September 04, 2002 6:10 PM
 | To: [email-masked]
 | Cc: [email-masked]; [email-masked]
 | Subject: [MMUSIC] Case the <transport> parameter in SDP
 |
 |
 | It seems that, per the definition in RFC 2327 and
 | draft-ietf-mmusic-sdp-new-10.txt  the value of the transport parameter in
 | the 'm' line is case-sensitive. This may also be inferred from the IANA
 | registry of its 'proto' values which shows the following, in different
 | cases:
 |
 | proto           RTP/AVP                      [RFC2327]
 |                   vat                          [historic]
 |                   rtp                          [historic]
 |                   UDPTL                        [ITU-T Rec. T.38
 | (Section 9)]
 |                   TCP                          [RFC793]
 |
 | However, ITU T.38 seems to use this parameter in a
 | case-insensitive manner.
 | For example,
 |
 | m=image 49170 udptl t38
 |
 | So is the case of the <transport> parameter really insignificant? If so,
 | then this should be called out in
 | draft-ietf-mmusic-sdp-new-10.txt (both in
 | the words and the ABNF). This draft/RFC 2327  indicate case
 | sensitivity as
 | the general rule, unless explicitly indicated.
 |
 | I note that Steve Casner has indicated case-insensitivity in the RTP mime
 | registrations.
 |
 | Comments? Guidance?
 | --------------
 | Rajesh Kumar
 | Cisco Systems
 |
 | _______________________________________________
 | mmusic mailing list
 | [email-masked]
 | https://www1.ietf.org/mailman/listinfo/mmusic
 | _______________________________________________
 | mmusic mailing list
 | [email-masked]
 | https://www1.ietf.org/mailman/listinfo/mmusic
_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic